diff --git a/web/package.json b/web/package.json
index 844d994..2602d07 100644
--- a/web/package.json
+++ b/web/package.json
@@ -57,6 +57,7 @@
   "dependencies": {
     "@babel/plugin-proposal-class-properties": "^7.10.4",
     "@babel/preset-react": "^7.10.4",
+    "@fortawesome/fontawesome-free": "^5.14.0",
     "@simonwep/pickr": "^1.5.1",
     "acitree": "git+https://github.com/imsurinder90/jquery-aciTree.git#rc.7",
     "alertifyjs": "git+https://github.com/EnterpriseDB/AlertifyJS/#72c1d794f5b6d4ec13a68d123c08f19021afe263",
@@ -80,7 +81,6 @@
     "cssnano": "^4.1.10",
     "dropzone": "^5.5.1",
     "exports-loader": "~0.7.0",
-    "font-awesome": "^4.7.0",
     "immutability-helper": "^3.0.0",
     "imports-loader": "^0.8.0",
     "ip-address": "^5.8.9",
@@ -107,7 +107,7 @@
     "tempusdominus-core": "^5.0.3",
     "underscore": "^1.9.1",
     "watchify": "~3.11.1",
-    "webcabin-docker": "git+https://github.com/EnterpriseDB/wcDocker/#be9ca6e812dfd8f44eea7ef4835ec3c8dd2bcaf3",
+    "webcabin-docker": "git+https://github.com/EnterpriseDB/wcDocker/#8298a57d875dce51a4d3707c68a1a2b82f2e6c03",
     "wkx": "^0.4.6"
   },
   "scripts": {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
index 0b39813..3204d22 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
@@ -105,7 +105,7 @@ define('pgadmin.node.mview', [
           category: 'refresh_mview', applies: ['object', 'context'],
           label: gettext('With no data'), data: {
             concurrent: false, with_data: false,
-          }, icon: 'fa fa-refresh',
+          }, icon: 'fa fa-sync-alt',
         },{
           name: 'refresh_mview_concurrent', node: 'mview', module: this,
           category: 'refresh_mview', enable: 'is_version_supported',
@@ -118,7 +118,7 @@ define('pgadmin.node.mview', [
           data: {concurrent: true, with_data: false}, priority: 4,
           applies: ['object', 'context'], callback: 'refresh_mview',
           label: gettext('With no data (concurrently)'),
-          icon: 'fa fa-refresh',
+          icon: 'fa fa-sync-alt',
         }]);
       },
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index 88cd8ca..f702216 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -81,7 +81,7 @@ define('pgadmin.node.database', [
           name: 'disconnect_database', node: 'database', module: this,
           applies: ['object', 'context'], callback: 'disconnect_database',
           category: 'drop', priority: 5, label: gettext('Disconnect Database...'),
-          icon: 'fa fa-chain-broken', enable : 'is_connected',
+          icon: 'fa fa-unlink', enable : 'is_connected',
         }]);
 
         _.bindAll(this, 'connection_lost');
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index 95e2a5d..7c1b58b 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -90,12 +90,12 @@ define('pgadmin.node.server', [
           name: 'disconnect_server', node: 'server', module: this,
           applies: ['object', 'context'], callback: 'disconnect_server',
           category: 'drop', priority: 5, label: gettext('Disconnect Server'),
-          icon: 'fa fa-chain-broken', enable : 'is_connected',
+          icon: 'fa fa-unlink', enable : 'is_connected',
         },{
           name: 'reload_configuration', node: 'server', module: this,
           applies: ['tools', 'context'], callback: 'reload_configuration',
           category: 'reload', priority: 6, label: gettext('Reload Configuration'),
-          icon: 'fa fa-repeat', enable : 'enable_reload_config',
+          icon: 'fa fa-redo-alt', enable : 'enable_reload_config',
         },{
           name: 'restore_point', node: 'server', module: this,
           applies: ['tools', 'context'], callback: 'restore_point',
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
index 8e4db7e..eb50a88 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
@@ -73,7 +73,7 @@ define('pgadmin.node.tablespace', [
           applies: ['object', 'context'], callback: 'move_objects',
           category: 'move_tablespace', priority: 5,
           label: gettext('Move objects to...'),
-          icon: 'fa fa-exchange', data: {action: 'create'},
+          icon: 'fa fa-exchange-alt', data: {action: 'create'},
           enable: 'can_move_objects',
         },
         ]);
diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index e8a85f9..f5ab093 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -621,7 +621,7 @@ define('pgadmin.browser', [
                     }),
                   },
                 },{
-                  text: gettext('Reset Master Password'), className: 'btn btn-secondary fa fa-trash-o pg-alertify-button pull-left',
+                  text: gettext('Reset Master Password'), className: 'btn btn-secondary fa fa-trash-alt pg-alertify-button pull-left',
                 },{
                   text: gettext('Cancel'), className: 'btn btn-secondary fa fa-times pg-alertify-button',
                   key: 27,
diff --git a/web/pgadmin/browser/static/js/collection.js b/web/pgadmin/browser/static/js/collection.js
index 124817a..35b7aba 100644
--- a/web/pgadmin/browser/static/js/collection.js
+++ b/web/pgadmin/browser/static/js/collection.js
@@ -44,7 +44,7 @@ define([
           name: 'refresh', node: this.type, module: this,
           applies: ['object', 'context'], callback: 'refresh',
           priority: 1, label: gettext('Refresh...'),
-          icon: 'fa fa-refresh',
+          icon: 'fa fa-sync-alt',
         }]);
 
         // show query tool only in context menu of supported nodes.
@@ -247,7 +247,7 @@ define([
           type: 'delete',
           tooltip: gettext('Delete/Drop'),
           extraClasses: ['btn-primary-icon m-1', 'delete_multiple'],
-          icon: 'fa fa-lg fa-trash-o',
+          icon: 'fa fa-lg fa-trash-alt',
           disabled:  (_.isFunction(that.canDrop)) ? !(that.canDrop.apply(self, [data, item])) : (!that.canDrop),
           register: function(btn) {
             btn.on('click',() => {
diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 93285fb..f26c596 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -116,7 +116,7 @@ define('pgadmin.browser.node', [
         callback: 'refresh',
         priority: 1,
         label: gettext('Refresh...'),
-        icon: 'fa fa-refresh',
+        icon: 'fa fa-sync-alt',
       }]);
 
       if (self.canEdit) {
@@ -131,7 +131,7 @@ define('pgadmin.browser.node', [
           data: {
             'action': 'edit',
           },
-          icon: 'fa fa-pencil-square-o',
+          icon: 'fa fa-edit',
         }]);
       }
 
@@ -229,7 +229,7 @@ define('pgadmin.browser.node', [
             data: {
               'script': stype,
             },
-            icon: 'fa fa-pencil',
+            icon: 'fa fa-pencil-alt',
             enable: self.check_user_permission,
           }]);
         });
@@ -1232,7 +1232,7 @@ define('pgadmin.browser.node', [
               type: 'edit',
               tooltip: gettext('Edit'),
               extraClasses: ['btn', 'btn-primary', 'pull-right', 'm-1'],
-              icon: 'fa fa-sm fa-pencil',
+              icon: 'fa fa-sm fa-pencil-alt',
               disabled: !that.canEdit,
               register: function(btn) {
                 btn.on('click',() => {
@@ -1523,7 +1523,7 @@ define('pgadmin.browser.node', [
               type: 'cancel',
               tooltip: gettext('Cancel changes to this object.'),
               extraClasses: ['btn-secondary', 'mx-1'],
-              icon: 'fa fa-close pg-alertify-button',
+              icon: 'fa fa-times pg-alertify-button',
               disabled: false,
               register: function(btn) {
                 btn.on('click',() => {
diff --git a/web/pgadmin/browser/static/js/node.ui.js b/web/pgadmin/browser/static/js/node.ui.js
index d81d854..007ce10 100644
--- a/web/pgadmin/browser/static/js/node.ui.js
+++ b/web/pgadmin/browser/static/js/node.ui.js
@@ -32,7 +32,7 @@ define([
       let $selectAll = $([
         '<button class="btn btn-secondary btn-sm" type="button"',
         ' style="width: 49%;margin: 0 0.5%;">',
-        '<i class="fa fa-check-square-o" role="img"></i>',
+        '<i class="fa fa-check-square" role="img"></i>',
         '<span style="padding: 0px 5px;">',
         gettext('Select All'),
         '</span></button>',
diff --git a/web/pgadmin/browser/static/js/wizard.js b/web/pgadmin/browser/static/js/wizard.js
index af4cd16..19c5fce 100644
--- a/web/pgadmin/browser/static/js/wizard.js
+++ b/web/pgadmin/browser/static/js/wizard.js
@@ -134,7 +134,7 @@ define([
       '          </div>' +
       '          <div class="ml-auto">' +
       '              <button class="btn btn-secondary wizard-cancel" <%=this.options.disable_cancel ? "disabled" : ""%>>' +
-      '                <i class="fa fa-close" role="img"></i>&nbsp;' + gettext('Cancel') + '</button>' +
+      '                <i class="fa fa-times" role="img"></i>&nbsp;' + gettext('Cancel') + '</button>' +
       '              <button class="btn btn-secondary wizard-back" <%=this.options.disable_prev ? "disabled" : ""%>>' +
       '                <i class="fa fa-backward" role="img"></i>&nbsp;' + gettext('Back') + '</button>' +
       '              <button class="btn btn-secondary wizard-next" <%=this.options.disable_next ? "disabled" : ""%>>' +
diff --git a/web/pgadmin/dashboard/templates/dashboard/database_dashboard.html b/web/pgadmin/dashboard/templates/dashboard/database_dashboard.html
index dc6bd73..148ce96 100644
--- a/web/pgadmin/dashboard/templates/dashboard/database_dashboard.html
+++ b/web/pgadmin/dashboard/templates/dashboard/database_dashboard.html
@@ -31,7 +31,7 @@
                             <input type="search" class="form-control" id="txtGridSearch" placeholder="{{ _('Search') }}" aria-describedby="labelSearch" aria-labelledby="labelSearch">
                         </div>
                         <button id="btn_refresh" type="button" class="btn btn-primary-icon btn-navtab-inline" title="{{ _('Refresh') }}" aria-label="{{ _('Refresh') }}">
-                            <span class="fa fa-refresh" aria-hidden="true"></span>
+                            <span class="fa fa-sync-alt" aria-hidden="true"></span>
                         </button>
                     </div>
                 </div>
diff --git a/web/pgadmin/dashboard/templates/dashboard/server_dashboard.html b/web/pgadmin/dashboard/templates/dashboard/server_dashboard.html
index 6c7de61..874a1e2 100644
--- a/web/pgadmin/dashboard/templates/dashboard/server_dashboard.html
+++ b/web/pgadmin/dashboard/templates/dashboard/server_dashboard.html
@@ -36,7 +36,7 @@
                             <input type="search" class="form-control" id="txtGridSearch" placeholder="{{ _('Search') }}" aria-label="{{ _('Search') }}" aria-describedby="labelSearch">
                         </div>
                         <button id="btn_refresh" type="button" class="btn btn-primary-icon btn-navtab-inline" title="{{ _('Refresh') }}" aria-label="{{ _('Refresh') }}">
-                            <span class="fa fa-refresh" aria-hidden="true"></span>
+                            <span class="fa fa-sync-alt" aria-hidden="true"></span>
                         </button>
                     </div>
                 </div>
diff --git a/web/pgadmin/help/__init__.py b/web/pgadmin/help/__init__.py
index 9520ef3..e843684 100644
--- a/web/pgadmin/help/__init__.py
+++ b/web/pgadmin/help/__init__.py
@@ -34,14 +34,14 @@ class HelpModule(PgAdminModule):
                      label=gettext('pgAdmin Website'),
                      priority=200,
                      target='pgadmin_website',
-                     icon='fa fa-external-link',
+                     icon='fa fa-external-link-alt',
                      url='https://www.pgadmin.org/'),
 
             MenuItem(name='mnu_postgresql_website',
                      label=gettext('PostgreSQL Website'),
                      priority=300,
                      target='postgres_website',
-                     icon='fa fa-external-link',
+                     icon='fa fa-external-link-alt',
                      url='https://www.postgresql.org/')]}
 
     def register_preferences(self):
diff --git a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
index c2b81e7..dc8c38c 100644
--- a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
+++ b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
@@ -43,7 +43,7 @@ define('misc.bgprocess', [
       failed_status_tpl: _.template(`
       <div class="d-flex px-2 py-1 bg-danger-lighter border border-danger rounded">
         <div class="pr-2">
-          <i class="fa fa-close fa-lg text-danger pg-bg-status-icon" aria-hidden="true" role="img"></i>
+          <i class="fa fa-times fa-lg text-danger pg-bg-status-icon" aria-hidden="true" role="img"></i>
         </div>
         <div class="mx-auto pg-bg-status-text alert-text-body"><%-status_text%></div>
       </div>`),
@@ -301,7 +301,7 @@ define('misc.bgprocess', [
               <div class="card-header bg-primary d-flex">
                 <div>${self.type_desc}</div>
                 <div class="ml-auto">
-                  <button class="btn btn-sm-sq btn-primary pg-bg-close"><i class="fa fa-lg fa-close" role="img"></i></button>
+                  <button class="btn btn-sm-sq btn-primary pg-bg-close"><i class="fa fa-lg fa-times" role="img"></i></button>
                 </div>
               </div>
               <div class="card-body px-2">
diff --git a/web/pgadmin/misc/file_manager/static/js/utility.js b/web/pgadmin/misc/file_manager/static/js/utility.js
index c9f32fc..6bccbed 100644
--- a/web/pgadmin/misc/file_manager/static/js/utility.js
+++ b/web/pgadmin/misc/file_manager/static/js/utility.js
@@ -467,9 +467,9 @@ define([
         if (item_data.file_type == 'dir') {
           icon_type = 'fa fa-folder-open fm_folder_grid';
         } else if (item_data.file_type == 'drive') {
-          icon_type = 'fa fa-hdd-o fm_drive';
+          icon_type = 'fa fa-hdd fm_drive';
         } else {
-          icon_type = 'fa fa-file-text-o fm_file_grid';
+          icon_type = 'fa fa-file-alt fm_file_grid';
         }
 
         /* For the html ele */
@@ -567,10 +567,10 @@ define([
           icon_type = 'fa fa-folder-open fm_folder_list';
         } else if (item_data.file_type == 'drive') {
           class_type = 'tbl_drive';
-          icon_type = 'fa fa-hdd-o';
+          icon_type = 'fa fa-hdd';
         } else {
           class_type = 'tbl_file';
-          icon_type = 'fa fa-file-text-o';
+          icon_type = 'fa fa-file-alt';
         }
 
         /* For the html ele */
@@ -746,10 +746,10 @@ define([
           // if file/folder is protected do nothing
           if ($(this).find('.fa-lock').length)
             return;
-          if ($(this).find('.fa-file-text-o').length)
+          if ($(this).find('.fa-file-alt').length)
             $(this).click();
           // If folder then first select and then double click to open folder/drive
-          else if ($(this).find('.fa-folder-open').length || $(this).find('.fa-hdd-o').length) {
+          else if ($(this).find('.fa-folder-open').length || $(this).find('.fa-hdd').length) {
             $(this).click();
             setTimeout(() => { $(self).trigger('dblclick'); }, 10);
           }
diff --git a/web/pgadmin/misc/file_manager/templates/file_manager/index.html b/web/pgadmin/misc/file_manager/templates/file_manager/index.html
index b3766b2..9c9ee4b 100644
--- a/web/pgadmin/misc/file_manager/templates/file_manager/index.html
+++ b/web/pgadmin/misc/file_manager/templates/file_manager/index.html
@@ -14,7 +14,7 @@
                         </button>
                         <button name="level-up" type="button" title="{{ _('Back') }}" value="LevelUp" class="btn btn-primary-icon level-up"
                                 disabled tabindex="0">
-                            <span class="fa fa-level-up sql-icon-lg"></span>
+                            <span class="fa fa-level-up-alt sql-icon-lg"></span>
                         </button>
                     </div>
                     <input id="file-input-path" class="form-control input-path text-truncate" title="" type="text" tabindex="0" autofocus/>
@@ -26,7 +26,7 @@
                 <input class="currentpath" name="currentpath" type="hidden"/>
                 <button type="button" title="{{ _('Refresh') }}" class="btn btn-sm btn-primary-icon refresh"
                         tabindex="0">
-                    <span class="fa fa-refresh sql-icon-lg"></span>
+                    <span class="fa fa-sync-alt sql-icon-lg"></span>
                 </button>
                 <button type="button" title="{{ _('Download File') }}" class="btn btn-sm btn-primary-icon download"
                         disabled>
@@ -38,7 +38,7 @@
                 </button>
                 <button name="rename" type="button" title="{{ _('Rename File/Folder') }}" class="btn btn-sm btn-primary-icon rename"
                         tabindex="0">
-                    <span class="fa fa-pencil-square-o sql-icon-lg"></span>
+                    <span class="fa fa-edit sql-icon-lg"></span>
                 </button>
                 <button name="newfolder" type="button" title="{{ _('Create new folder') }}" value="New Folder"
                         class="btn btn-sm btn-primary-icon create" tabindex="0">
diff --git a/web/pgadmin/misc/static/explain/js/explain.js b/web/pgadmin/misc/static/explain/js/explain.js
index bea5e7b..f57b2d7 100644
--- a/web/pgadmin/misc/static/explain/js/explain.js
+++ b/web/pgadmin/misc/static/explain/js/explain.js
@@ -329,7 +329,7 @@ define('pgadmin.misc.explain', [
     '<%= (data["level"].length) * 30%>px"',
     'title="<%= tooltip_text %>"',
     '>',
-    '  <i class="pg-ex-subplans fa fa-long-arrow-right"></i>',
+    '  <i class="pg-ex-subplans fa fa-long-arrow-alt-right"></i>',
     '<%= display_text %>',
     '<%if (node_extra_info && node_extra_info.length > 0 ) {%>',
     '<ui>',
@@ -1353,7 +1353,7 @@ define('pgadmin.misc.explain', [
         tabindex: 0,
       }).appendTo(statsArea).append(
         $('<i></i>', {
-          class: 'fa fa-line-chart',
+          class: 'fa fa-chart-line',
         }));
 
       // Main div to be drawn all images on
diff --git a/web/pgadmin/static/css/style.css b/web/pgadmin/static/css/style.css
index a0a6111..e5ff313 100644
--- a/web/pgadmin/static/css/style.css
+++ b/web/pgadmin/static/css/style.css
@@ -1,6 +1,6 @@
 @import '~alertifyjs/build/css/alertify.css';
 @import '~alertifyjs/build/css/themes/bootstrap.css';
-@import '~font-awesome/css/font-awesome.css';
+@import '~@fortawesome/fontawesome-free/css/all.css';
 @import '~bootstrap-datepicker/dist/css/bootstrap-datepicker3.css';
 @import '~tempusdominus-bootstrap-4/build/css/tempusdominus-bootstrap-4.css';
 @import '~bootstrap4-toggle/css/bootstrap4-toggle.css';
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 6be16b7..e95d202 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -2681,7 +2681,7 @@ define([
       text: '',
       extraClasses: ['pg-el-12', 'd-flex'],
       noteClass: 'backform-note',
-      faIcon: 'fa-file-text-o',
+      faIcon: 'fa-file-alt',
       faExtraClass: 'fa-rotate-180 fa-flip-vertical',
       iconWidthClass: 'col-0 pr-2',
       textWidthClass: 'col-sm',
@@ -2847,7 +2847,7 @@ define([
         '<div class="input-group  <%=Backform.controlsClassName%>">',
         ' <input id="<%=cId%>" type="text" class="<%=Backform.controlClassName%> datetimepicker-input <%=extraClasses.join(\' \')%>" name="<%=name%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=readonly ? "readonly aria-readonly=true" : ""%> <%=required ? "required" : ""%> data-toggle="datetimepicker"/>',
         ' <div class="input-group-append">',
-        '   <span class="input-group-text fa fa-calendar"></span>',
+        '   <span class="input-group-text fa fa-calendar-alt"></span>',
         ' </div>',
         '</div>',
         '<% if (helpMessage && helpMessage.length) { %>',
@@ -2938,7 +2938,7 @@ define([
 
       timePicker:function() {
         if (this.$el.find('.timepicker').is(':visible')){
-          this.$el.find('.fa-calendar').click();
+          this.$el.find('.fa-calendar-alt').click();
         }else{
           this.$el.find('.fa-clock-o').click();
         }
diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index 93141e6..e7c8bec 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -440,7 +440,7 @@ define([
 
         if (editable) {
           this.$el.html(
-            '<i class=\'fa fa-pencil-square subnode-edit-in-process\' title=\'' + gettext('Edit row') +  '\' aria-label=\'' + gettext('Edit row') +  '\'></i>'
+            '<i class=\'fa fa-pen-square subnode-edit-in-process\' title=\'' + gettext('Edit row') +  '\' aria-label=\'' + gettext('Edit row') +  '\'></i>'
           );
           let body = $(this.$el).parents()[1],
             container = $(body).find('.tab-content:first > .tab-pane.active:first');
@@ -459,7 +459,7 @@ define([
     },
     render: function() {
       this.$el.empty();
-      this.$el.html('<i class=\'fa fa-pencil-square-o\' title=\'' + gettext('Edit row') + '\' aria-label=\'' + gettext('Edit row') +  '\'></i>');
+      this.$el.html('<i class=\'fa fa-edit\' title=\'' + gettext('Edit row') + '\' aria-label=\'' + gettext('Edit row') +  '\'></i>');
       this.delegateEvents();
       if (this.grabFocus)
         this.$el.trigger('focus');
@@ -1857,7 +1857,7 @@ define([
 
       if (event.altKey && event.keyCode == 84){
         if (self.$el.data('datetimepicker').widget.find('.timepicker').is(':visible')){
-          self.$el.data('datetimepicker').widget.find('.fa-calendar').click();
+          self.$el.data('datetimepicker').widget.find('.fa-calendar-alt').click();
         }else{
           self.$el.data('datetimepicker').widget.find('.fa-clock-o').click();
         }
diff --git a/web/pgadmin/static/js/sqleditor/history/query_sources.js b/web/pgadmin/static/js/sqleditor/history/query_sources.js
index 45bcb56..3ddfb80 100644
--- a/web/pgadmin/static/js/sqleditor/history/query_sources.js
+++ b/web/pgadmin/static/js/sqleditor/history/query_sources.js
@@ -15,7 +15,7 @@ export const QuerySources = {
     ICON_CSS_CLASS: 'fa fa-play',
   },
   EXPLAIN: {
-    ICON_CSS_CLASS: 'fa fa-hand-pointer-o',
+    ICON_CSS_CLASS: 'fa fa-hand-pointer',
   },
   EXPLAIN_ANALYZE: {
     ICON_CSS_CLASS: 'fa fa-list-alt',
diff --git a/web/pgadmin/static/js/sqleditor_utils.js b/web/pgadmin/static/js/sqleditor_utils.js
index 9903aab..fd408e5 100644
--- a/web/pgadmin/static/js/sqleditor_utils.js
+++ b/web/pgadmin/static/js/sqleditor_utils.js
@@ -205,7 +205,7 @@ define(['jquery', 'underscore', 'sources/gettext', 'sources/url_for'],
         columns headers. Instead of a button, an icon is created */
         let content = null;
         if(is_editable) {
-          content = '<i class="fa fa-pencil"></i>';
+          content = '<i class="fa fa-pencil-alt"></i>';
         }
         else {
           content = '<i class="fa fa-lock"></i>';
diff --git a/web/pgadmin/static/scss/_aci_tree.overrides.scss b/web/pgadmin/static/scss/_aci_tree.overrides.scss
index 44ee7c6..073e147 100644
--- a/web/pgadmin/static/scss/_aci_tree.overrides.scss
+++ b/web/pgadmin/static/scss/_aci_tree.overrides.scss
@@ -6,6 +6,7 @@
   font-size: 0.6rem;
   line-height: 2;
   border-style: none;
+  font-weight: 900;
 }
 
 .aciTree, .aciTree.aciTreeFullRow {
@@ -139,6 +140,7 @@
           content: "\f054" !important;
           border-style: none;
           margin-left: 5px;
+          font-weight: 900;
         }
     }
 
@@ -146,6 +148,7 @@
         &:before,
         &.aciTreeHover:before {
           content: " " !important;
+          font-weight: 900;
         }
     }
 
@@ -157,6 +160,7 @@
           content: "\f078" !important;
           border-style: none;
           margin-left: 5px;
+          font-weight: 900;
         }
     }
 
diff --git a/web/pgadmin/static/scss/_alertify.overrides.scss b/web/pgadmin/static/scss/_alertify.overrides.scss
index 498965f..3cfa02c 100644
--- a/web/pgadmin/static/scss/_alertify.overrides.scss
+++ b/web/pgadmin/static/scss/_alertify.overrides.scss
@@ -194,6 +194,7 @@
   @at-root .ajs-button#{&} {
     font-family: $font-family-icon;
     margin-right: 5px;
+    font-weight: 900;
   }
 }
 
@@ -202,6 +203,7 @@
     font-size: 1.1em !important;
     line-height: 1.2;
     font-family: $font-family-icon;
+    font-weight: 900;
   }
 }
 
diff --git a/web/pgadmin/static/scss/_backform.overrides.scss b/web/pgadmin/static/scss/_backform.overrides.scss
index e8572d1..47ff027 100644
--- a/web/pgadmin/static/scss/_backform.overrides.scss
+++ b/web/pgadmin/static/scss/_backform.overrides.scss
@@ -14,6 +14,7 @@
   .control-label::before {
     font: normal normal normal 16px/1 $font-family-icon;
     content: "\f071";
+    font-weight: 900;
     text-decoration: inherit;
     position: absolute;
     color: $color-danger;
diff --git a/web/pgadmin/static/scss/_bootstrap.overrides.scss b/web/pgadmin/static/scss/_bootstrap.overrides.scss
index f4b8eed..29c4a43 100644
--- a/web/pgadmin/static/scss/_bootstrap.overrides.scss
+++ b/web/pgadmin/static/scss/_bootstrap.overrides.scss
@@ -45,6 +45,7 @@ legend {
 	margin-left: 0rem;
 	border: none;
 	width: auto;
+	font-weight: 900;
 }
 
 /*
@@ -74,6 +75,7 @@ legend {
 	margin-right: -10px;
 	font-size: 0.6rem;
 	line-height: 2;
+	font-weight: 900;
 }
 
 .dropdown-submenu:hover>a:after {
diff --git a/web/pgadmin/static/scss/_codemirror.overrides.scss b/web/pgadmin/static/scss/_codemirror.overrides.scss
index 90a8c4c..8e46186 100644
--- a/web/pgadmin/static/scss/_codemirror.overrides.scss
+++ b/web/pgadmin/static/scss/_codemirror.overrides.scss
@@ -120,10 +120,12 @@
 
 .CodeMirror-foldgutter-open:after {
   content: "\25BC";
+  font-weight: 900;
 }
 
 .CodeMirror-foldgutter-folded:after {
   content: "\25B6";
+  font-weight: 900;
 }
 
 
diff --git a/web/pgadmin/static/scss/_pgadmin.style.scss b/web/pgadmin/static/scss/_pgadmin.style.scss
index 0a2b1b6..2bd4d5a 100644
--- a/web/pgadmin/static/scss/_pgadmin.style.scss
+++ b/web/pgadmin/static/scss/_pgadmin.style.scss
@@ -293,10 +293,12 @@
         content: "\f05a" !important;
         font-size: 1rem;
         margin-right: 0.5rem;
+        font-weight: 900;
     }
 
     &.pg-panel-error:before {
         content: "\f06a" !important;
+        font-weight: 900;
     }
 }
 
@@ -393,6 +395,7 @@
 	content: "\f078";
 	font-size: 0.7rem;
 	margin-left: 0rem;
+	font-weight: 900;
 }
 
 .obj_properties .collapsed .caret::before {
@@ -400,6 +403,7 @@
 	content: "\f054";
 	font-size: 0.7rem;
 	border: none;
+	font-weight: 900;
 }
 
 .obj_properties table td {
@@ -851,10 +855,12 @@ body {
 
 .multi-checkbox .check.checked:after {
   content: "\2713";
+  font-weight: 900;
 }
 
 .multi-checkbox .check.partial:after {
   content: "\003F";
+  font-weight: 900;
 }
 
 .pg-el-container {
@@ -914,6 +920,7 @@ table.table-empty-rows{
   font-size: 0.6rem;
   line-height: 2;
   border-style: none;
+  font-weight: 900;
 }
 
 .login_page {
@@ -1103,3 +1110,14 @@ select:-webkit-autofill:focus {
       pointer-events: none !important;
     }
 }
+
+.fa {
+  font-weight: 600 !important;
+}
+.pull-right{
+  float:right;
+}
+
+.pull-left{
+  float:left
+}
diff --git a/web/pgadmin/static/scss/_webcabin.pgadmin.scss b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
index 291135e..4c4d5d9 100644
--- a/web/pgadmin/static/scss/_webcabin.pgadmin.scss
+++ b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
@@ -323,6 +323,7 @@
 .context-menu-submenu::after {
   font-family: $font-family-icon;
   content: "\f054" !important;
+  font-weight: 900;
   right: 15px;
   top: 3px;
   font-size: 0.6rem;
diff --git a/web/pgadmin/static/scss/resources/_default.variables.scss b/web/pgadmin/static/scss/resources/_default.variables.scss
index 2043b80..2f21483 100644
--- a/web/pgadmin/static/scss/resources/_default.variables.scss
+++ b/web/pgadmin/static/scss/resources/_default.variables.scss
@@ -48,7 +48,7 @@ $color-brand: $color-primary !default;
 $font-family-primary: "Roboto", "Helvetica Neue", -apple-system, BlinkMacSystemFont, "Segoe UI", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
 $font-family-semibold: "Roboto Medium";
 $font-family-editor: "Source Code Pro", SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
-$font-family-icon: "FontAwesome";
+$font-family-icon: "Font Awesome 5 Free";
 
 $border-width: 1px;
 $border-color: #dde0e6 !default;
diff --git a/web/pgadmin/tools/backup/static/js/backup.js b/web/pgadmin/tools/backup/static/js/backup.js
index 922660b..7919e12 100644
--- a/web/pgadmin/tools/backup/static/js/backup.js
+++ b/web/pgadmin/tools/backup/static/js/backup.js
@@ -580,7 +580,7 @@ define([
         callback: 'start_backup_global',
         priority: 12,
         label: gettext('Backup Globals...'),
-        icon: 'fa fa-floppy-o',
+        icon: 'fa fa-save',
         enable: menuUtils.menuEnabledServer,
       }, {
         name: 'backup_server',
@@ -589,7 +589,7 @@ define([
         callback: 'start_backup_server',
         priority: 12,
         label: gettext('Backup Server...'),
-        icon: 'fa fa-floppy-o',
+        icon: 'fa fa-save',
         enable: menuUtils.menuEnabledServer,
       }, {
         name: 'backup_global_ctx',
@@ -599,7 +599,7 @@ define([
         callback: 'start_backup_global',
         priority: 12,
         label: gettext('Backup Globals...'),
-        icon: 'fa fa-floppy-o',
+        icon: 'fa fa-save',
         enable: menuUtils.menuEnabledServer,
       }, {
         name: 'backup_server_ctx',
@@ -609,7 +609,7 @@ define([
         callback: 'start_backup_server',
         priority: 12,
         label: gettext('Backup Server...'),
-        icon: 'fa fa-floppy-o',
+        icon: 'fa fa-save',
         enable: menuUtils.menuEnabledServer,
       }, {
         name: 'backup_object',
@@ -618,7 +618,7 @@ define([
         callback: 'backup_objects',
         priority: 11,
         label: gettext('Backup...'),
-        icon: 'fa fa-floppy-o',
+        icon: 'fa fa-save',
         enable: supportedNodes.enabled.bind(
           null, pgBrowser.treeMenu, menuUtils.backupSupportedNodes
         ),
@@ -633,7 +633,7 @@ define([
           callback: 'backup_objects',
           priority: 11,
           label: gettext('Backup...'),
-          icon: 'fa fa-floppy-o',
+          icon: 'fa fa-save',
           enable: supportedNodes.enabled.bind(
             null, pgBrowser.treeMenu, menuUtils.backupSupportedNodes
           ),
diff --git a/web/pgadmin/tools/datagrid/static/js/datagrid_panel_title.js b/web/pgadmin/tools/datagrid/static/js/datagrid_panel_title.js
index 057f9e4..90650f6 100644
--- a/web/pgadmin/tools/datagrid/static/js/datagrid_panel_title.js
+++ b/web/pgadmin/tools/datagrid/static/js/datagrid_panel_title.js
@@ -40,7 +40,7 @@ export function setQueryToolDockerTitle(panel, is_query_tool, panel_title, is_fi
 
   if(is_file || is_file == 'true'){
     panel_tooltip = gettext('File - ') + panel_title;
-    panel_icon = 'fa fa-file-text-o';
+    panel_icon = 'fa fa-file-alt';
   }
   else if (is_query_tool == 'false' || is_query_tool == false) {
     // Edit grid titles
diff --git a/web/pgadmin/tools/datagrid/templates/datagrid/index.html b/web/pgadmin/tools/datagrid/templates/datagrid/index.html
index 88b3c55..0198210 100644
--- a/web/pgadmin/tools/datagrid/templates/datagrid/index.html
+++ b/web/pgadmin/tools/datagrid/templates/datagrid/index.html
@@ -19,13 +19,13 @@
                         title=""
                         accesskey=""
                         tabindex="0">
-                    <i class="fa fa-folder-open-o sql-icon-lg" aria-hidden="true" role="img"></i>
+                    <i class="fa fa-folder-open sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
                 <button id="btn-save-file" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
                         accesskey=""
                         disabled>
-                    <i class="fa fa-floppy-o sql-icon-lg" aria-hidden="true" tabindex="0" role="img"></i>
+                    <i class="fa fa-save sql-icon-lg" aria-hidden="true" tabindex="0" role="img"></i>
                 </button>
                 <button id="btn-file-menu-dropdown" type="button" class="btn btn-sm btn-primary-icon dropdown-toggle dropdown-toggle-split"
                         data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" disabled
@@ -119,7 +119,7 @@
                         title=""
                         accesskey=""
                         tabindex="0" disabled>
-                    <i class="fa fa-files-o sql-icon-lg" aria-hidden="true" role="img"></i>
+                    <i class="fa fa-copy sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
                 <button id="btn-copy-row-dropdown" type="button" class="btn btn-sm btn-primary-icon dropdown-toggle dropdown-toggle-split"
                         data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
@@ -137,7 +137,7 @@
                         title=""
                         accesskey=""
                         tabindex="0" disabled>
-                    <i class="fa fa-clipboard sql-icon-lg" aria-hidden="true" role="img"></i>
+                    <i class="fa fa-paste sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
             </div>
             <div class="btn-group mr-1" role="group" aria-label="">
@@ -152,7 +152,7 @@
                 <button id="btn-edit-dropdown" type="button" class="btn btn-sm btn-primary-icon dropdown-toggle"
                         data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                         aria-label="{{ _('Edit') }}" title="{{ _('Edit') }}" tabindex="0">
-                    <i class="fa fa-pencil-square-o sql-icon-lg" aria-hidden="true" role="img"></i>
+                    <i class="fa fa-edit sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
                 <ul class="dropdown-menu">
                     <li>
@@ -269,7 +269,7 @@
                         title=""
                         accesskey=""
                         tabindex="0" disabled>
-                    <i class="fa fa-hand-pointer-o sql-icon-lg" aria-hidden="true" role="img"></i>
+                    <i class="fa fa-hand-pointer sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
                 <button id="btn-explain-analyze" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
diff --git a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
index c7b8707..1f5424f 100644
--- a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
+++ b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
@@ -173,7 +173,7 @@ define([
         callback: 'start_grant_wizard',
         priority: 14,
         label: gettext('Grant Wizard...'),
-        icon: 'fa fa-unlock-alt',
+        icon: 'fa fa-unlock',
         enable: supportedNodes.enabled.bind(
           null, pgBrowser.treeMenu, menuUtils.supportedNodes
         ),
@@ -189,7 +189,7 @@ define([
           callback: 'start_grant_wizard',
           priority: 14,
           label: gettext('Grant Wizard...'),
-          icon: 'fa fa-unlock-alt',
+          icon: 'fa fa-unlock',
           enable: supportedNodes.enabled.bind(
             null, pgBrowser.treeMenu, menuUtils.supportedNodes
           ),
diff --git a/web/pgadmin/tools/schema_diff/static/js/schema_diff.backform.js b/web/pgadmin/tools/schema_diff/static/js/schema_diff.backform.js
index 705b3ec..c650ff0 100644
--- a/web/pgadmin/tools/schema_diff/static/js/schema_diff.backform.js
+++ b/web/pgadmin/tools/schema_diff/static/js/schema_diff.backform.js
@@ -318,7 +318,7 @@ let SchemaDiffHeaderView = Backform.Form.extend({
       <div class="col-5 target-buttons">
           <div class="action-btns d-flex">
               <button class="btn btn-primary mr-auto"><span class="icon-schema-diff icon-schema-diff-white"></span>&nbsp;` + gettext('Compare') + `</button>
-              <button id="generate-script" class="btn btn-primary-icon mr-1" disabled><i class="fa fa-file-code-o sql-icon-lg"></i>&nbsp;` + gettext('Generate Script') + `</button>
+              <button id="generate-script" class="btn btn-primary-icon mr-1" disabled><i class="fa fa-file-code sql-icon-lg"></i>&nbsp;` + gettext('Generate Script') + `</button>
               <div class="btn-group mr-1" role="group" aria-label="">
                 <button id="btn-filter" type="button" class="btn btn-primary-icon"
                         title=""
diff --git a/web/pgadmin/tools/schema_diff/static/scss/_schema_diff.scss b/web/pgadmin/tools/schema_diff/static/scss/_schema_diff.scss
index b31da72..d8f4529 100644
--- a/web/pgadmin/tools/schema_diff/static/scss/_schema_diff.scss
+++ b/web/pgadmin/tools/schema_diff/static/scss/_schema_diff.scss
@@ -103,6 +103,7 @@
   content: "\f054";
   font-size: 0.6rem;
   border: none;
+  font-weight: 900;
 }
 
 .slick-group-toggle.expanded::before {
@@ -110,6 +111,7 @@
   content: "\f078";
   font-size: 0.6rem;
   margin-left: 0rem;
+  font-weight: 900;
 }
 
 #schema-diff-ddl-comp .badge .caret::before {
@@ -117,6 +119,7 @@
   content: "\f078";
   font-size: 0.7rem;
   margin-left: 0rem;
+  font-weight: 900;
 }
 
 .slick-group {
diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index fba42bd..786e493 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -4376,7 +4376,7 @@ define('tools.querytool', [
                   className: 'btn btn-secondary fa fa-lg fa-times pg-alertify-button',
                 }, {
                   text: gettext('Don\'t save'),
-                  className: 'btn btn-secondary fa fa-lg fa-trash-o pg-alertify-button',
+                  className: 'btn btn-secondary fa fa-lg fa-trash-alt pg-alertify-button',
                 }, {
                   text: gettext('Save'),
                   className: 'btn btn-primary fa fa-lg fa-save pg-alertify-button',
diff --git a/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss b/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss
index 744d3b7..fd1e5d3 100644
--- a/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss
+++ b/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss
@@ -299,11 +299,13 @@ div.strikeout:before {
   left: 0;
   border-top: 1px solid $color-danger;
   width: 100%;
+  font-weight: 900;
 }
 
 div.strikeout:after {
   content: "\00B7";
   font-size: 1px;
+  font-weight: 900;
 }
 
 .sql-scratch {
diff --git a/web/regression/feature_utils/locators.py b/web/regression/feature_utils/locators.py
index 4756231..cee93f8 100644
--- a/web/regression/feature_utils/locators.py
+++ b/web/regression/feature_utils/locators.py
@@ -210,7 +210,7 @@ class QueryToolLocators:
 
     execute_icon = "fa-play"
 
-    explain_icon = "fa-hand-pointer-o"
+    explain_icon = "fa-hand-pointer"
 
     explain_analyze_icon = "fa-list-alt"
 
@@ -225,7 +225,7 @@ class QueryToolLocators:
 
     editable_column_icon_xpath = "//div[contains(@class," \
                                  " 'editable-column-header-icon')]" \
-                                 "/i[contains(@class, 'fa-pencil')]"
+                                 "/i[contains(@class, 'fa-pencil-alt')]"
 
     read_only_column_icon_xpath = "//div[contains(@class," \
                                   " 'editable-column-header-icon')]" \
